# Notify Transaction

&#x20;               By utilizing the Notify Transaction API, the client can submit the transaction status of a previously requested transaction. Tutelar will only consider the transaction closed upon successful payment, which triggers the notify transaction process.

## POST /api/v1/fraud-detector/transaction/notify

> Notify transaction status

```json
{"openapi":"3.0.0","info":{"title":"Notify Transaction API","version":"1.0.0"},"servers":[{"url":"https://secctrl.tutelar.io"}],"paths":{"/api/v1/fraud-detector/transaction/notify":{"post":{"summary":"Notify transaction status","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["orderId","status","transactionId"],"properties":{"orderId":{"type":"string","description":"A unique identifier for the order associated with the transaction. It helps in tracking and referencing the specific order within the system."},"status":{"type":"string","description":"Indicates the completion status of the transaction. For a successful transaction, send the value \"success\". For all other cases, send the value \"failure\".","enum":["success","failure","cancelled"]},"transactionId":{"type":"string","description":"A unique identifier for the transaction within the system. It is used to track and reference the specific transaction details."},"statusReason":{"type":"string","description":"It can be used to provide additional context for the transaction status.."}}}}}},"responses":{"200":{"description":"Transaction status updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"message":{"type":"string"},"data":{"type":"object","properties":{"orderId":{"type":"string"},"requestedDateTime":{"type":"string","format":"date-time"},"responseDateTime":{"type":"string","format":"date-time"},"processedTime":{"type":"integer"}}}}}}}},"400":{"description":"If an invalid status is provided.","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"code":{"type":"integer"},"message":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/fraud-detection-monitoring/notify-transaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
